config:hostdb

NAME
config:hostdb - Configures the host database.

SYNOPSIS
config:hostdb [options]

DESCRIPTION
Use the config:hostdb command to configure the host database. You configure such parameters as foreground, background, and lookup timeouts. When you execute the config:hostdb command, you must use one of the options described below.

OPTIONS
The following options are supported for the config:hostdb command:

  lookup-timeout <seconds>
Specifies the maximum number of seconds the proxy can wait for a lookup response from the Domain Name Server. (The default value is 120.)

  foreground-timeout <seconds>
Specifies the foreground timeout in seconds. (The default value is 1440.)

  background-timeout <seconds>
Specifies the background timeout in minutes. (The default value is 720.)

  invalid-host-timeout <seconds>
Specifies the invalid host timeout in minutes. (The default value is zero.)

  re-dns-on-reload <on | off>
Enables (on) or disables (off) DNS lookup upon reload. (The default value is off.)

  clear
Clear the Host DB.

EXAMPLES

  Example 1. Specifying 30 seconds as the maximum that

  the proxy waits for a DNS lookup response

traffic_shell> config:hostdb lookup-timeout 30
traffic_shell>

  Example 2. Specifying 12 seconds as the foreground

  timeout

traffic_shell> config:hostdb foreground-timeout 12
traffic_shell>

  Example 3. Specifying 24 seconds as the background

  timeout

traffic_shell> config:hostdb background-timeout 24
traffic_shell>

  Example 4. Specifying 30 minutes as the invalid host

  timeout

traffic_shell> config:hostdb invalid-host-timeout 30
traffic_shell>

  Example 5. Enabling DNS on reload

traffic_shell> config:hostdb re-dns-on-reload on
traffic_shell>

SEE ALSO
show:hostdb, show:hostdb-stats